cswstat.d(1m)

NAME
cswstat.d - context switch time stats. Uses DTrace.

SYNOPSIS
cswstat.d

DESCRIPTION
cswstat.d is a DTrace program to print context switch time statistics. This program measures the time consumed during context switching, and prints it with the number of context switches and the average time. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print statistics every second,
    # cswstat.d

FIELDS

TIME
    The current time

NUM Number of context switches in this sample

CSWTIME
    Total time consumed context switching, us

AVGTIME
    Average time for each context switch, us

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
cswstat.d will run forever until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
mpstat(1M), dtrace(1M)